import sqlite from 'sqlite3'

const db = new sqlite.Database('bot.db')
db.run(
  `CREATE TABLE IF NOT EXISTS chats (
    chatId INTEGER,
    UNIQUE(chatId)
  )`)

export const saveChat = id => {
  return new Promise((resolve, reject) => {
    db.run(`INSERT OR IGNORE INTO chats (chatId) VALUES (?)`, [ id ], (err) => {
      if (err) {
        reject(err)
      } else {
        resolve({ id })
      }
    })
  })
}

export const getChats = () => {
  return new Promise((resolve, reject) => {
    db.all('SELECT * FROM chats', [], (err, rows) => {
      if (err) {
        reject(err)
      } else {
        resolve(rows)
      }
    })
  })
}
